<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( https://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) XXXX-2008 - INRIA
 *
 * Copyright (C) 2012 - 2016 - Scilab Enterprises
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * This file was originally licensed under the terms of the CeCILL v2.1,
 * and continues to be available under such terms.
 * For more information, see the COPYING file which you should have received
 * along with this program.
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns4="http://www.w3.org/1999/xhtml" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="write4b" xml:lang="pt">
    <refnamediv>
        <refname>write4b</refname>
        <refpurpose>escrita binária de arquivo FORTRAN</refpurpose>
    </refnamediv>
    <refsynopsisdiv>
        <title>Seqüência de Chamamento</title>
        <synopsis>write4b(file-name,a [,rec])</synopsis>
    </refsynopsisdiv>
    <refsection>
        <title>Parâmetros</title>
        <variablelist>
            <varlistentry>
                <term>file-name</term>
                <listitem>
                    <para>string ou inteiro</para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>rec</term>
                <listitem>
                    <para>vetor de inteiros positivos, os registros selecionados para
                        acesso direto. O tamanho deste vetor deve ter o mesmo número de
                        linhas que <literal>a</literal>
                    </para>
                </listitem>
            </varlistentry>
        </variablelist>
    </refsection>
    <refsection>
        <title>Descrição</title>
        <para>
            Escreve em formato binário a matriz <literal>a</literal> no arquivo
            <literal>'filename'</literal>. As entradas da matriz são armazenadas em
            palavras de 8 bytes.
        </para>
        <para>Para acesso direto, o arquivo deve ter sido previamente aberto
            através da função <literal>file</literal> para se ajustar o comprimento do
            registro. <literal>file-name</literal> deve ser o resultado da função
            <literal>file</literal>.
        </para>
    </refsection>
    <refsection role="see also">
        <title>Ver Também</title>
        <simplelist type="inline">
            <member>
                <link linkend="file">file</link>
            </member>
            <member>
                <link linkend="readb">readb</link>
            </member>
            <member>
                <link linkend="write">write</link>
            </member>
            <member>
                <link linkend="mput">mput</link>
            </member>
            <member>
                <link linkend="read4b">read4b</link>
            </member>
        </simplelist>
    </refsection>
</refentry>
